# Configuration Examples:
#   https://github.com/ioerror/duraconf
#   https://gist.github.com/graffen/37eaa2332ee7e584bfda

#-----------------------------
# default key
#-----------------------------

# The default key to sign with. If this option is not used, the default key is
# the first key found in the secret keyring
default-key 0x94F3D3DDAC22802258FC044B6C47C753F0823002

#-----------------------------
# behavior
#-----------------------------

# Automatically retrieve missing keys from Ubuntu's keyserver
# See [build-pkg/Dockerfile](https://codeberg.org/privacy1st/arch/src/commit/f127910308e027a42d4e8eabb8b1bd07c5ff8b36/build-pkg/Dockerfile#L32)
keyserver-options auto-key-retrieve
keyserver hkp://keyserver.ubuntu.com

# Disable inclusion of the version string in ASCII armored output
#no-emit-version

# Disable comment string in clear text signatures and ASCII armored messages
#no-comments

# Display long key IDs
keyid-format 0xlong

# List all keys (or the specified ones) along with their fingerprints
with-fingerprint

# Display the calculated validity of user IDs during key listings
list-options show-uid-validity
verify-options show-uid-validity

# Try to use the GnuPG-Agent. With this option, GnuPG first tries to connect to
# the agent before it asks for a passphrase.
#use-agent
